com.holonplatform.datastore.jdbc.composer

## Interface SQLExecutionContext

- All Superinterfaces:
    com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, SQLContext
  All Known Implementing Classes:
    DefaultSQLExecutionContext

      public interface SQLExecutionContext
      extends SQLContext

  SQL operation execution context.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SQLExecutionContext` | `create(SQLContext context)` Create a new `SQLExecutionContext` using given `SQLContext`.
    `static SQLExecutionContext` | `create(SQLContext context, Connection connection)` Create a new `SQLExecutionContext` using given `SQLContext` and providing th current `Connection`.
    `Optional<Connection>` | `getConnection()` Get the `Connection` used by current operation execution, if available.

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLContext

      `getDialect, getTypeConverter, getValueDeserializer, getValueSerializer, trace`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

- - ### Method Detail

    - #### getConnection

          Optional<Connection> getConnection()

      Get the `Connection` used by current operation execution, if available.
      Returns:
        Optional current connection

    - #### create

          static SQLExecutionContext create(SQLContext context,
                                            Connection connection)

      Create a new `SQLExecutionContext` using given `SQLContext` and providing th current `Connection`.
      Parameters:
        `context` - SQL context (not null)
        `connection` - Operation execution connection
      Returns:
        A new `SQLExecutionContext`

    - #### create

          static SQLExecutionContext create(SQLContext context)

      Create a new `SQLExecutionContext` using given `SQLContext`.
      Parameters:
        `context` - SQL context (not null)
      Returns:
        A new `SQLExecutionContext`

Copyright © 2019 The Holon Platform. All rights reserved.